package tsp.csc4509.appli;

import static tsp.csc4509.common.Log.COMM;

import java.io.IOException;

import org.apache.logging.log4j.Level;

import tsp.csc4509.common.Log;
import tsp.csc4509.tpnote.TaskServer;

public class AppliTaskServer {
	
	private static final int NBARGS = 1;
	/**
	 * position du numéro de port de ce noeud dans argv[].
	 */
	private static final int PORTARG = 0;
	
	
	public static void main(String[] args) throws IOException, InterruptedException {
		if (args.length != NBARGS) {
			System.out.println("usage: java TaskServer <port> ");
			return;
		}
		Log.setLevel(COMM, Level.WARN);
		
		int port = Integer.parseInt(args[PORTARG]);
		
		TaskServer taskServer = new TaskServer(port);
		taskServer.loop();
		
	
	}
	

}
