package tsp.csc4509.tpnote;

/**
 * Classe définissant les constantes identifiant les messages que le worker peut
 * échanger.
 * 
 * @author Éric Lallet
 *
 */
public enum MessType {

	/**
	 * Valeur du messType pour les objets de la classe ResourceRequest.
	 */
	RESOURCEREQUESTTYPE,

	/**
	 * Valeur du messType pour les objets de la classe Token.
	 */
	TOKENTYPE,

	/**
	 * Valeur du messType pour les objets de la classe TaskRequest
	 */
	TASKREQUESTTYPE,

	/**
	 * Valeur du messType pour les objets de la classe TaskResponse
	 */
	TASKRESPONSETYPE,
	;
}
