package tsp.csc4509.tpnote;

import java.io.Serializable;

public class TaskRequest implements Serializable {

	private static final long serialVersionUID = 1L;
	
	/**
	 * numéro du noeud demandeur de cette tâche.
	 */
	private int numNode;
	
	/**
	 * durée de la tâche en seconde.
	 */
	private int taskDelay;

	/**
	 * Constructeur initialisant les attributs.
	 * @param taskDelay
	 *           durée de la tâche.
	 * @param numNode
	 *           numéro du noeud demandeur de cette tâche.
	 */
	public TaskRequest(final int taskDelay, final int numNode) {
		this.taskDelay = taskDelay;
		this.numNode = numNode;
	}

	/**
	 * 
	 * @return
	 *       durée de la tâche.
	 */
	public int getTaskDelay() {
		return taskDelay;
	}

	/**
	 * 
	 * @return
	 *      numéro du noeud demandeur de cette tâche.
	 */
	public int getNumNode() {
		return numNode;
	}
	
	
	
	

}
