package tsp.csc4509.tpnote;

import java.io.Serializable;

public class TaskResponse implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private int result;

	/**
	 * Construteur initilisant les attributs.
	 * @param result
	 *          résultat de la tâche.
	 */
	public TaskResponse(final int result) {
		super();
		this.result = result;
	}


	/**
	 * 
	 * @return
	 *        résultat de la tâche.
	 */
	public int getResult() {
		return result;
	}


	@Override
	public String toString() {
		return "TaskResponse [result=" + result + "]";
	}
	
	
	

}
