package tsp.csc4509.debug;

import java.util.Objects;

public class DebugNode {

	private int link;
	private boolean havingToken;
	private boolean requesting;
	
	
	
	public DebugNode(final int link, final boolean havingToken, final boolean requesting) {
		super();
		this.link = link;
		this.havingToken = havingToken;
		this.requesting = requesting;
	}
	public int getLink() {
		return link;
	}
	public void setLink(int link) {
		this.link = link;
	}
	public boolean isHavingToken() {
		return havingToken;
	}
	public void setHavingToken(boolean havingToken) {
		this.havingToken = havingToken;
	}
	public boolean isRequesting() {
		return requesting;
	}
	public void setRequesting(boolean requesting) {
		this.requesting = requesting;
	}
	
	
	@Override
	public int hashCode() {
		return Objects.hash(havingToken, link, requesting);
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DebugNode other = (DebugNode) obj;
		return havingToken == other.havingToken && link == other.link && requesting == other.requesting;
	}
	
	
	

	
	
	
	
	
}
